Update Organization Container Issue Settings

puthttps://app.fossa.com/api/organizations/{id}/settings/projects/issues/container

Update container issue settings for an organization

Path parameters

idintegerrequired

Request body · application/json

projectDefaultExcludeBaseLayerIssuesLicensingboolean
projectDefaultExcludeBaseLayerIssuesSecurityboolean
projectDefaultExcludeBaseLayerIssuesQualityboolean

Responses

204No content
401Unauthorized
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

403Forbidden
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

404NotFound
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

422Unprocessable Entity
uuidstring

Unique identifier associated with the error

codeinteger

fossa specific error code

messagestring

message associated with this error

namestring

name of the error

httpStatusCodeinteger

http status code number

Try this endpoint

Build a request and run it against app.fossa.com.

Bearer

Stored in this browser for 24 hours. Try It uses a docs proxy for CORS and does not store tokens server-side.

PUT https://app.fossa.com/api/organizations/1/settings/projects/issues/container
curl --request PUT \  --url 'https://app.fossa.com/api/organizations/1/settings/projects/issues/container' \  --header 'accept: application/json' \  --header 'authorization: Bearer YOUR_API_TOKEN' \  --header 'content-type: application/json' \  --data '{  "projectDefaultExcludeBaseLayerIssuesLicensing": true,  "projectDefaultExcludeBaseLayerIssuesSecurity": true,  "projectDefaultExcludeBaseLayerIssuesQuality": true}'

Real request. Mutating methods can change data.

Click Try It to run a request and see the response here.
Enter a Bearer token before running this request.

Path params

idintegerrequired
application/json